Last Comment Bug 475371 - Set up read-only AMO database VIP on ACE load balancer
: Set up read-only AMO database VIP on ACE load balancer
Status: RESOLVED FIXED
02/19 maint window
:
Product: mozilla.org Graveyard
Classification: Graveyard
Component: Server Operations (show other bugs)
: other
: All Other
: -- minor (vote)
: ---
Assigned To: Jeremy Orem [:oremj]
: matthew zeier [:mrz]
:
Mentors:
Depends on: 473084
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-26 10:26 PST by matthew zeier [:mrz]
Modified: 2015-03-12 08:17 PDT (History)
8 users (show)
mzeier: needs‑downtime+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description matthew zeier [:mrz] 2009-01-26 10:26:35 PST
I started to play with this config but am punting to dmoore.  

Want to setup a VIP for read-only AMO db.  Need testing/monitoring and maybe webdev help to verify (?).  

dmoore - I suspect you could make the VIP on 10.2.70.0/24 but I can't figure out how to make VIPs on this thing.
Comment 1 matthew zeier [:mrz] 2009-01-26 10:27:06 PST
Marking bug 473084 as a blocker for going live with this (want an HA ACE).
Comment 2 Derek Moore [:dmoore] 2009-01-28 14:23:57 PST
For the record, we'll be duplicating ACLs from the existing NetScaler VIP.
Comment 3 matthew zeier [:mrz] 2009-02-03 18:46:58 PST
Needs to include monitoring on status of the backend servers like we do with the Netscaler via SNMP).
Comment 4 matthew zeier [:mrz] 2009-02-05 23:43:26 PST
justdave - can you test?

acelb01/db# show service-policy amo-db-vip-policy detail 

Status     : ACTIVE
Description: -
-----------------------------------------
Interface: vlan 70 
  service-policy: amo-db-vip-policy
    class: amo-db-vip
     VIP Address:    Protocol:  Port:
     10.2.70.20      tcp        eq    3306 


acelb01/db# show serverfarm amo-db  
 serverfarm     : amo-db, type: HOST
 total rservers : 3

 ---------------------------------
                                                ----------connections-----------
       real                  weight state        current    total      failures 
   ---+---------------------+------+------------+----------+----------+---------
   rserver: tm-amo01-master01
       10.2.70.144:3306      8      OPERATIONAL  0          0          0
   rserver: tm-amo01-slave02
       10.2.70.142:3306      8      OPERATIONAL  0          0          0
   rserver: tm-amo01-slave03
       10.2.70.135:3306      8      OPERATIONAL  0          0          0
Comment 5 Dave Miller [:justdave] (justdave@bugzilla.org) 2009-02-09 19:22:16 PST
(In reply to comment #4)
> justdave - can you test?

I'm not sure I follow what's going on here...  what needs testing?  Connecting to the VIP and see if I get the right databases?
Comment 6 matthew zeier [:mrz] 2009-02-09 20:25:36 PST
More or less - if we change the config to point to this VIP, will things still work?
Comment 7 Derek Moore [:dmoore] 2009-02-09 21:10:57 PST
It doesn't have NAT configured in order to proxy client connections properly, but I'm taking care of that addition now.
Comment 8 Derek Moore [:dmoore] 2009-02-09 21:46:01 PST
The amo-db vip (10.2.70.20) is operational and configured for HA. The only remaining addition will be the ACL list currently used by the NetScaler.
Comment 9 Dave Miller [:justdave] (justdave@bugzilla.org) 2009-02-12 20:30:40 PST
Setup on my end is done.  MySQL ACLs are in place to allow the ace's VIP in.  Metrics has been testing it with the AMO stats scripts, and seems to be working okay for them so far as far as I know.
Comment 10 Jeremy Orem [:oremj] 2009-02-19 19:04:22 PST
Read-only vip moved over to 10.2.70.20

Note You need to log in before you can comment on or make changes to this bug.